/**
 * 
 * $Id: CalendarUtil.java,v 1.1 2007/12/03 08:40:39 aoki Exp $
 */
package util;

import java.util.Calendar;
import java.util.Date;

/**
 * java.util.Calendar[eBeBNXłB
 * 
 * @author aoki
 */
public class CalendarUtil {

    // CX^X𐶐KvׁAANZXCqprivateƂ
    private CalendarUtil() {
    }
    
    /**
     * s̓00:00:00.000ݒ肵CalendarԂ܂B
     * 
     * @return s00:00:00.000ݒ肵Calendar
     */
    public static Calendar createTodayMidnightCal() {
        return createMidnightCal(new Date());
    }
    
    /**
     * date̓00:00:00.000ݒ肵CalendarԂ܂B
     * 
     * @param date Ώۓ
     * @return date00:00:00.000ݒ肵Calendar
     */
    public static Calendar createMidnightCal(Date date) {
        Calendar cal = Calendar.getInstance();
        cal.setTime(date);
        resetMidnight(cal);
        return cal;
    }
    
    /**
     * NEE̓t00:00:00.000ݒ肵CalendarԂ܂B<br/>
     * NCalendarset(year, month, date)󂯎lw肵ĉB<br/>
     * <b>1w肵ꍇAmonthɂ0ݒ肵ĉB</b>
     * 
     * @param year N
     * @param month i01j
     * @param date 
     * @return wN00:00:00.000ݒ肵Calendar
     */
    public static Calendar createMidnightCal(int year, int month, int date) {
        Calendar cal = Calendar.getInstance();
        cal.set(year, month, date);
        resetMidnight(cal);
        return cal;
    }
    
    /**
     * cal00:00:00.000ɐݒ肵܂B
     * 
     * @param cal ΏۂƂȂCalendarCX^X
     */
    public static void resetMidnight(Calendar cal) {
        cal.set(Calendar.HOUR_OF_DAY, 0);
        cal.set(Calendar.MINUTE, 0);
        cal.set(Calendar.SECOND, 0);
        cal.set(Calendar.MILLISECOND, 0);
    }
    
    
    /**
     * calɂ錎tԂ܂B
     * 
     * @param strDate Ώۂ̓t
     * @return t
     */
    public static int getLastDay(Date date) {
        Calendar cal = Calendar.getInstance();
        cal.setTime(date);
        int lastDay  = cal.getActualMaximum(Calendar.DATE);
        return lastDay;
    }

    
}
