/**
 * 
 * $Id: ResourceBundleUtil.java,v 1.1 2007/12/03 08:40:39 aoki Exp $
 */
package util;

import java.text.MessageFormat;
import java.util.ResourceBundle;

/**
 * ResourceBundleŃbZ[W擾郆[eBeBNXłB
 * 
 * @author Shinobu Aoki
 */
public class ResourceBundleUtil {
    
    private final ResourceBundle bundle;
    
    /**
     * appMessagesƂ̂ResourceBundlep̃CX^X萔łB
     */
    public static final ResourceBundleUtil APP_MESSAGES = 
        new ResourceBundleUtil(ResourceBundle.getBundle("appMessages"));
    
    private ResourceBundleUtil(ResourceBundle bundle) {
        this.bundle = bundle;
    }
    
    /**
     * w肳ꂽL[̕Ԃ܂B
     * 
     * @param key ɑΉL[
     * @return Ή镶
     * @throws MissingResourceException L[ɑΉ镶񂪌Ȃꍇ
     */
    public String getString(String key) {
        return bundle.getString(key);
    }
    
    /**
     * w肳ꂽL[̃̕v[Xz_
     * z̗vfŒuĕԂ܂B<br/>
     * ϊ̎dljava.text.MessageFormat#format(Object)Ɉˑ܂B
     * 
     * @param key ɑΉL[
     * @param args v[Xz_ɑΉz
     * @return ΉtH[}bg
     * @throws MissingResourceException L[ɑΉ镶񂪌Ȃꍇ
     */
    public String getString(String key, Object... args) {
        return MessageFormat.format(bundle.getString(key), args);
    }
    
}
